using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnwsHttpBinding_Click(object sender, EventArgs e)
        {
            ServiceReference1.Service1Client client =
                new ServiceReference1.Service1Client("WS");
            MessageBox.Show("Używam wiązania wsHttpBinding: " +
                client.GetData(5));
        }

        private void btnBasicHttpBinding_Click(object sender, EventArgs e)
        {
            localhost.Service1 ws = new localhost.Service1();
            MessageBox.Show("Używam wiązania basicHttpBinding: " +
                ws.GetData(6, true));
        }
    }
}
